SystemOrganization addCategory: #ConfigurationOfMemoryMonitor!

Object subclass: #ConfigurationOfMemoryMonitor
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfMemoryMonitor'!

!ConfigurationOfMemoryMonitor class methodsFor: 'private' stamp: 'AlexandreBergel 7/9/2010 15:43'!
bootstrapPackage: aString from: aPath 
	| repository version |
	repository := MCHttpRepository
				location: aPath
				user: ''
				password: ''.
	repository
		versionReaderForFileNamed: aString , '.mcz'
		do: [:reader | 
			version := reader version.
			version load.
			version workingCopy repositoryGroup addRepository: repository]! !

!ConfigurationOfMemoryMonitor class methodsFor: 'private' stamp: 'AlexandreBergel 7/9/2010 15:43'!
ensureMetacello
	"Bootstrap Gofer (if necessary), bootstrap ConfigurationOfMetacello (using old Gofer API), then load the latest 
	version of Metacello itself."

	Smalltalk at: #MetacelloProject ifAbsent: [
		Smalltalk at: #Gofer ifAbsent: [
			"Current version of Gofer from which to bootstrap - as of 1.0-beta.21"
			self bootstrapPackage: 'Gofer-Core-lr.115' from: 'http://seaside.gemstone.com/ss/metacello' ].
		Smalltalk at: #Gofer ifPresent: [:goferClass | | gofer |
			gofer := goferClass new
				url: 'http://seaside.gemstone.com/ss/metacello';
				yourself.
			[ gofer addPackage: 'ConfigurationOfMetacello' ] on: Warning do: [:ex | ex resume ].
			gofer load ].
		"load 'default' group of Metacello"
		(Smalltalk at: #ConfigurationOfMetacello) perform: #load ]! !

!ConfigurationOfMemoryMonitor class methodsFor: 'metacello tool support' stamp: 'AlexandreBergel 7/9/2010 15:43'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfMemoryMonitor class methodsFor: 'metacello tool support' stamp: 'AlexandreBergel 7/9/2010 15:43'!
lastMetacelloVersionLoad
	"Answer the last version loaded and the list of packages loaded for that version."

	LastVersionLoad == nil ifTrue: [ LastVersionLoad := nil -> 'default' ].
	^LastVersionLoad! !

!ConfigurationOfMemoryMonitor class methodsFor: 'loading' stamp: 'AlexandreBergel 7/9/2010 15:43'!
load
	"self load"

	^self project latestVersion load! !

!ConfigurationOfMemoryMonitor class methodsFor: 'metacello tool support' stamp: 'AlexandreBergel 7/9/2010 15:43'!
metacelloVersion: versionString loads: anArrayOrString
	"Stash the last version loaded and the list of packages loaded for that version. The list
	 of packages will be used by the tools when doing 'Load Package Version'"

	LastVersionLoad := versionString -> anArrayOrString! !

!ConfigurationOfMemoryMonitor class methodsFor: 'accessing' stamp: 'AlexandreBergel 7/9/2010 15:43'!
project

	^self new project! !

!ConfigurationOfMemoryMonitor class methodsFor: 'unloading Metacello' stamp: 'AlexandreBergel 7/9/2010 15:43'!
unloadMetacello

	Smalltalk at: #ConfigurationOfMetacello ifPresent: [:cls | cls unloadMetacello ]! !

!ConfigurationOfMemoryMonitor methodsFor: 'baselines' stamp: 'AlexandreBergel 6/20/2013 10:30'!
baseline100: spec 
	<version: '1.0-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://smalltalkhub.com/mc/abergel/MemoryMonitor/main'.	
		spec 
			package: 'MemoryMonitor' ]! !

!ConfigurationOfMemoryMonitor methodsFor: 'symbolic versions' stamp: 'AlexandreBergel 12/23/2014 13:29'!
development: spec
	<symbolicVersion: #'development'>

	spec for: #'common' version: '1.0.7'.
! !

!ConfigurationOfMemoryMonitor methodsFor: 'accessing' stamp: 'AlexandreBergel 7/9/2010 15:43'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		self class ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfMemoryMonitor methodsFor: 'symbolic versions' stamp: 'AlexandreBergel 12/23/2014 13:29'!
stable: spec
	<symbolicVersion: #'stable'>

	spec for: #'common' version: '1.0.7'.
! !

!ConfigurationOfMemoryMonitor methodsFor: 'versions' stamp: 'AlexandreBergel 7/9/2010 15:44'!
version100: spec 
	<version: '1.0' imports: #('1.0-baseline') >
	
	spec for: #common do: [
		spec blessing: #release.
		spec 
			package: 'MemoryMonitor' with: 'MemoryMonitor-Alexandre_Bergel.8'].! !

!ConfigurationOfMemoryMonitor methodsFor: 'versions' stamp: 'AlexandreBergel 11/18/2010 10:52'!
version101: spec 
        <version: '1.0.1' imports: #('1.0-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'MemoryMonitor' with: 'MemoryMonitor-AlexandreBergel.9'.
                ].! !

!ConfigurationOfMemoryMonitor methodsFor: 'versions' stamp: 'AlexandreBergel 1/4/2011 14:10'!
version102: spec 
        <version: '1.0.2' imports: #('1.0-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'MemoryMonitor' with: 'MemoryMonitor-AlexandreBergel.11'.
                ].! !

!ConfigurationOfMemoryMonitor methodsFor: 'versions' stamp: 'AlexandreBergel 5/16/2011 09:49'!
version103: spec
	<version: '1.0.3' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: 'New version
1.0.4: Fixed Issue 4180:	MemoryMonitor>>#addProbe'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '5/16/2011 09:49'.
		spec package: 'MemoryMonitor' with: 'MemoryMonitor-AlexandreBergel.12'. ].
! !

!ConfigurationOfMemoryMonitor methodsFor: 'versions' stamp: 'AlexandreBergel 6/20/2013 10:33'!
version104: spec
	<version: '1.0.4' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.0.4: Fixed Issue 4180:	MemoryMonitor>>#addProbe
1.0.4 : To Pharo 2.0'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '6/20/2013 10:33'.
		spec package: 'MemoryMonitor' with: 'MemoryMonitor-AlexandreBergel.13'. ].
! !

!ConfigurationOfMemoryMonitor methodsFor: 'versions' stamp: 'AlexandreBergel 6/20/2013 10:34'!
version105: spec
	<version: '1.0.5' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.0.4 : To Pharo 2.0'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '6/20/2013 10:34'.
		spec package: 'MemoryMonitor' with: 'MemoryMonitor-AlexandreBergel.13'. ].
! !

!ConfigurationOfMemoryMonitor methodsFor: 'versions' stamp: 'AlexandreBergel 12/22/2014 23:59'!
version106: spec
	<version: '1.0.6' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.0.6 : To Pharo 3.0'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '12/22/2014 23:59'.
		spec package: 'MemoryMonitor' with: 'MemoryMonitor-AlexandreBergel.14'. ].
! !

!ConfigurationOfMemoryMonitor methodsFor: 'versions' stamp: 'AlexandreBergel 12/23/2014 13:29'!
version107: spec
	<version: '1.0.7' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.0.7 : Thanks Sean!!!!!!
		
		
Name: MemoryMonitor-SeanDeNigris.15
Author: SeanDeNigris
Time: 22 December 2014, 9:05:37.019012 pm
UUID: 472400a4-6b09-4581-aaee-ddf96531a9a9
Ancestors: MemoryMonitor-AlexandreBergel.14

Fix MemoryMonitor layout to work on Pharo 3.0 and 4.0'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '12/23/2014 13:29'.
		spec package: 'MemoryMonitor' with: 'MemoryMonitor-SeanDeNigris.15'. ].
! !
